import { http } from '@/utils/http/axios';

/**
 * @description: 岗位列表
 */
export function postList(params) {
  return http.request({
    url: '/post/list',
    method: 'get',
    params,
  });
}

/**
 * @description: 添加岗位
 */
export function addPost(params) {
  return http.request({
    url: '/post/add',
    method: 'post',
    params,
  });
}

/**
 * @description: 编辑岗位
 */
export function editPost(params) {
  return http.request({
    url: '/post/update',
    method: 'post',
    params,
  });
}

/**
 * @description: 岗位详情
 */
export function postInfo(params) {
  return http.request({
    url: '/post/view',
    method: 'get',
    params,
  });
}

/**
 * @description: 删除岗位
 */
export function deletePost(params) {
  return http.request({
    url: '/post/delete',
    method: 'post',
    params,
  });
}
